#pragma once

#include "file_manager.h"
#include "log_parsers.h"

namespace NH2Log {

    bool IsHeaderSessionStart(const TLogEntry& item);

    bool IsHeaderSessionEnd(const TLogEntry& item);

    bool IsRecvHeaderBlock(const TLogEntry& item);

    void DumpRawClientHeaderBlocks(TFileManager& fileManager);

}
